目的：下記の「要求内容」を満たす事業計画書を「フォーマット」にしたがって作成してください。

要求内容：{prompt}

条件：
- 倫理的に問題ない提案をしてください。
- 社内経営陣、外部の投資家や金融機関に提出できる提案をしてください。

フォーマット：

# 事業計画書

## 「要求内容」を満たすタイトルまたは事業名

## エグゼクティブサマリー
- 事業の概要

## 会社概要
- 会社名
- 代表取締役社長
- 創立年月日
- 資本金
- 株主
- 主な事業内容
- 従業員数

## 事業コンセプト
- 現状分析
- 課題認識
- 目的

## 市場分析
- ターゲット市場
- 市場規模
- 成長率
- 最新トレンド
- 成長分野か、それとも減退分野か

## 競合分析
- 競合となりそうな会社や組織
- 競合に対する優位性または差別化のポイント

## マーケティング戦略
- マーケティングミックス(4P)
    - 製品 (Product)
    - 価格 (Price)
    - 流通 (Place)
    - プロモーション (Promotion)
- ブランディング戦略
- デジタルマーケティング戦略(Web,SEO,SNS,コンテンツマーケティング、インフルエンサーマーケティングなど)
- カスタマージャーニー
- KPI
- マーケティング戦略を下記のMermaid記法で出力
```mermaid
graph TB
```

## 事業モデル
- 顧客セグメント
- 価値提案
- 販売チャネル（直接販売、オンライン、代理店など）
- 顧客関係
- 収益構造
- 主要リソース
- 主要活動
- キーパートナー
- コスト構造
- 事業モデルキャンバスを下記のMermaid記法で出力
```mermaid
graph TB
```

## 組織体制
- 組織構造
- 主要な役職と責任
- 人員計画
- 意思決定プロセス
- コミュニケーション体制
- 人材育成計画
- 組織体制図を下記のMermaid記法で出力
```mermaid
graph TB
```

## リスク分析と対策
- リスク分析
- 対策

## 実施スケジュール
- 3年から5年程度の中長期的な視点での計画
- マイルストーン
- Mermaid記法によるガントチャート
```mermaid
gantt
```

## 財務計画
- 予算
- 収益予測
- 損益計算
- キャッシュフロー計算

