目的：下記の「要求内容」を満たすシステム要件定義書を「フォーマット」にしたがって作成してください。

要求内容：{prompt}

条件：オブジェクト指向の原則に従って作成すること。

フォーマット：

# 「要求内容」の要件定義書

## 概要
- システムの概要を説明
- 背景を説明
- 現状想定される問題点や課題
- 用語の定義
- システム構成図をMermaid記法で出力
```mermaid
```

## ステークスホルダー
- 直接的に関係する人または組織
- 間接的に影響する人または組織
- ステークホルダーの関係図をMermaid記法のマインドマップで出力
```mermaid
mindmap
```

## 事業としての目標
- 財務の視点
- 顧客の視点
- 業務の視点
- 学習と成長の視点


## 業務要件
- システムの規模
- システムの開発時期と時間
- システムの評価指標
- システムの関連範囲
- 新システムによる業務フローをMermaid記法で出力
```mermaid
```

## 機能要件
- 機能一覧
- 必要な画面
- 情報・データログ
- 外部インターフェース
- 顧客とシステム管理者が同じシステムを使うと想定したデータの流れをMermaid記法のフロー図で出力
```mermaid
```

## 非機能要件
- ユーザビリティとアクセシビリティ
- システム方式
- 利用規模
- サーバーの規模と性能（レスポンス速度、データ量など）
- 信頼性対策
- システムの拡張性
- 上位互換性
- 想定するシステムダウンしない期間（継続性）

## セキュリティ要件
- 情報セキュリティ
  - アクセス制御方法
  - アクセス認証方法
  - データの暗号化
  - ウィルス対策
  - 修正ソフトウェア
  - 侵入・攻撃対策
  - その他利用制限
  - 不正接続対策
  - 外部媒体保存制限（運用ポリシー）
- システム稼働環境
- ユーザー側の利用環境
- テスト
  - 実施可能なテストタイプを全て列挙
  - 担保するテストの範囲
  - 誰がテストするのか
  - テスト環境
  - 合格／不合格の定義
  - 使用するツール
  - テストデータ（どのようなデータを、どのように準備するか）

## 移行要件
- 移行が伴う場合やるべきこと

## 運用要件
- 運用に際して必要な教育内容
- 運用体制
- 保守業務の定義

## スケジュール
- 実施計画
- マイルストーン
- Mermaid記法によるガントチャート
```mermaid
gantt
```

## フェルミ推定による計画の評価

